package com.ccwangluo.ccim;

import com.xuhao.didi.core.iocore.interfaces.ISendable;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class IrequestData implements ISendable {

    private byte[] body;

    public IrequestData(byte[] body){
        this.body = body;
    }


    @Override
    public byte[] parse() {
        ByteBuffer bb = ByteBuffer.allocate(4 + body.length);
        bb.order(ByteOrder.BIG_ENDIAN);
        bb.putInt(body.length);
        bb.put(body);
        return bb.array();
    }
}
