package com.ccwangluo.ccim;

import com.xuhao.didi.core.protocol.IReaderProtocol;

import java.nio.ByteOrder;

class MyIReaderProtocol implements IReaderProtocol {
    @Override
    public int getHeaderLength() {
        return 4;
    }

    @Override
    public int getBodyLength(byte[] header, ByteOrder byteOrder) {
        int value = header[3];
        value |= header[2] << 8;
        value |= header[1] << 16;
        value |= header[0] << 24;
        return value;
    }
}
